"""
### Categories of GitHub API Functions

1. **Repository Management**
    - Create, delete, and update repositories
    - List repositories for a user or organization
    - Fork a repository
    - Star, unstar, and list starred repositories
    - Watch and unwatch repositories
    - Get and set repository topics
    - Manage releases and tags

2. **Issues and Pull Requests**
    - Create, read, update, and delete issues
    - List issues by various filters
    - Create, read, update, and delete pull requests
    - Merge and close pull requests
    - Comment on issues and pull requests
    - Add and remove labels, assignees, and milestones

3. **User Management**
    - Get user details
    - Update user profile
    - List followers and following
    - Follow and unfollow users

4. **Organization Management**
    - Create, read, update, and delete organizations
    - Add and remove members
    - List and manage teams

5. **Gists**
    - Create, read, update, and delete gists
    - Star, unstar, and list starred gists
    - Fork gists

6. **Code Search**
    - Search repositories, code, issues, and users

7. **Webhooks**
    - Create, read, update, and delete webhooks for repositories and organizations

8. **Actions**
    - List, create, and manage GitHub Actions workflows

9. **Projects**
    - Create, read, update, and delete projects
    - Add and manage project columns and cards
"""
