"""
### Categories of Gitlab API Functions

1. **Projects**
    - Create, read, update, and delete projects
    - Fork projects
    - List and manage project members
    - List and manage project hooks (webhooks)
    - List and manage project issues
    - List and manage project merge requests

2. **Repositories**
    - List, create, and delete branches
    - List, create, and delete tags
    - List and manage commits
    - List and manage repository files

3. **Users**
    - Get and update user details
    - List and manage user projects
    - List and manage user SSH keys
    - List and manage user emails

4. **Groups**
    - Create, read, update, and delete groups
    - List and manage group members
    - List and manage group projects

5. **Issues**
    - Create, read, update, and delete issues
    - List and manage issue notes (comments)
    - List and manage issue labels

6. **Merge Requests**
    - Create, read, update, and delete merge requests
    - List and manage merge request notes (comments)
    - List and manage merge request commits

7. **Pipelines and Jobs**
    - Create, read, update, and delete pipelines
    - List and manage pipeline jobs
    - List and manage pipeline schedules

8. **Runners**
    - List, create, and delete runners
    - Enable and disable runners

9. **Snippets**
    - Create, read, update, and delete snippets

10. **Labels and Milestones**
    - Create, read, update, and delete labels
    - Create, read, update, and delete milestones

11. **System Hooks**
    - Create, read, update, and delete system hooks

12. **Wikis**
    - Create, read, update, and delete wiki pages

13. **Todos**
    - List, create, and delete todos

14. **Custom Attributes**
    - List, create, update, and delete custom attributes for users, groups, and projects

15. **Container Registry**
    - List, create, and delete container registry tags

16. **Analytics**
    - Get various analytics data

"""
